caoss.simulator.os

## Enum ProcessControlBlock.State

- java.lang.Object
- - java.lang.Enum<ProcessControlBlock.State>
  - - caoss.simulator.os.ProcessControlBlock.State

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ProcessControlBlock.State>
  Enclosing class:
    ProcessControlBlock<S>

      public static enum ProcessControlBlock.State
      extends java.lang.Enum<ProcessControlBlock.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NEW`
    `READY`
    `RUNNING`
    `SUSPENDED`
    `TERMINATED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProcessControlBlock.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ProcessControlBlock.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW

          public static final ProcessControlBlock.State NEW

    - #### READY

          public static final ProcessControlBlock.State READY

    - #### RUNNING

          public static final ProcessControlBlock.State RUNNING

    - #### SUSPENDED

          public static final ProcessControlBlock.State SUSPENDED

    - #### TERMINATED

          public static final ProcessControlBlock.State TERMINATED

  - ### Method Detail

    - #### values

          public static ProcessControlBlock.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProcessControlBlock.State c : ProcessControlBlock.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProcessControlBlock.State valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null